System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ExternalException

The class is an HTTP-specific exception class that enables ASP.NET to generate exception information. For more information about throwing and handling exceptions, see Handling and Throwing Exceptions.

Describes an exception that occurred during the processing of HTTP requests.

- Constructor

  When handling exceptions, it can be useful to capture a series of related exceptions with the outer exception being thrown in response to an inner exception.

  A reference to the inner exception that caused the outer exception is available from the property of the outer exception. This mechanism preserves the error information that is carried by earlier exceptions, including the original exceptions, while allowing you to create more meaningful outer exceptions. For more information, see .

  Initializes a new instance of the class and creates an empty object.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using a supplied error message.

  The error message displayed to the client when the exception is thrown.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using an HTTP response status code and an error message.

  The HTTP response status code sent to the client corresponding to this error.
  The error message displayed to the client when the exception is thrown.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0

  The constructor is called during deserialization to reconstitute the exception object that is transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class with serialized data.

  The that holds the serialized object data about the exception being thrown.
  The that holds the contextual information about the source or destination.
- Constructor

  When handling exceptions, it can be useful to capture a series of related exceptions with the outer exception being thrown in response to an inner exception.

  A reference to the inner exception that caused the outer exception is available from the property of the outer exception. This mechanism preserves the error information that is carried by earlier exceptions, including the original exceptions, while allowing you to create more meaningful outer exceptions. For more information, see .

  Initializes a new instance of the class using an error message and the property.

  The error message displayed to the client when the exception is thrown.
  The , if any, that threw the current exception.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using an error message and an exception code.

  The error message displayed to the client when the exception is thrown.
  The exception code that defines the error.
  1.0.5000.0
  2.0.0.0
- Constructor

  When handling exceptions, it can be useful to capture a series of related exceptions with the outer exception being thrown in response to an inner exception.

  A reference to the inner exception that caused the outer exception is available from the property of the outer exception. This mechanism preserves the error information that is carried by earlier exceptions, including the original exceptions, while allowing you to create more meaningful outer exceptions. For more information, see .

  Initializes a new instance of the class using an HTTP response status code, an error message, and the property.

  The HTTP response status code displayed on the client.
  The error message displayed to the client when the exception is thrown.
  The , if any, that threw the current exception.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using an HTTP response status code, an error message, and an exception code.

  The HTTP response status code displayed on the client.
  The error message displayed to the client when the exception is thrown.
  The exception code that defines the error.
  1.0.5000.0
  2.0.0.0
- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  System.Web.HttpException `` To be added

  Creates a new exception based on the error code that is returned from the Win32 API GetLastError() method.

  An based on the error code that is returned from a call to the Win32 API GetLastError() method.

  The error message displayed to the client when the exception is thrown. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added

  Gets the HTML error message to return to the client.

  The HTML error message.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  If there is a non-zero HTTP code, it is returned. Otherwise, the code is returned. If neither an code nor a non-zero HTTP code is available, the HTTP response status code 500 is returned. For more information on HTTP response status codes, see the Status Code Definitions of the Hypertext Transfer Protocol - HTTP/1.1 on the World Wide Web Consortium (W3C) Web site.

  Gets the HTTP response status code to return to the client.

  A non-zero HTTP code representing the exception or the code; otherwise, HTTP response status code 500.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  The method adds information about the exception to the object that is targeted for serialization. During deserialization, the exception is reconstituted from the that is transmitted over the stream.

  Gets information about the exception and adds it to the object.

  The that holds the serialized object data about the exception being thrown. The that holds the contextual information about the source or destination.